// livido-lib.h
// LiVES
// (c) G. Finch 2005 <salsaman@xs4all.nl>
// Released under the Lesser GNU Public License (LGPL) version 2.1
// see www.gnu.org for licensing details 

// livido utility library - header

#ifndef __LIVIDO_LIB_H__
#define __LIVIDO_LIB_H__

//////////////////////////////////////////////////////////////////////
// parameter functions

livido_parameter_t *livido_init_int32_param(char *name, int val, int min, int max);
int livido_get_atom_size(livido_port_t *port, const char *key, int i);
int livido_get_atom_type(livido_port_t *port, const char *key);
int livido_get_num_elements (livido_port_t *port, const char *key);

// These all return an error code
int livido_set_int32_prop (livido_parameter_t *param, const char *key, int value);
int livido_set_boolean_prop (livido_parameter_t *param, const char *key, int value);
int livido_set_string_prop (livido_parameter_t *param, const char *key, char *value);
int livido_get_int32_prop (livido_parameter_t *param, const char *key, int *value);
int livido_get_string_prop (livido_parameter_t *param, const char *key, char *value);
int livido_get_boolean_prop (livido_parameter_t *param, const char *key, int *value);
int livido_get_string_array (livido_parameter_t *param, const char *key, char **value);

//
void livido_properties_free (livido_port_t *port);

// will be changed to livido_port_free
void livido_parameters_free (livido_instance_t *inst);




#endif
